<style scoped lang="less">

  section {

  }

</style>

<template>

  <section>

    <p class="title">{{ Object.keys(list).length }} found</p>

    <ul class="list">

      <li v-for="person in list"
          :key="person.id"
      >
        <scanner-results-list-item :city="person.city"
                                   :first-name="person.firstName"
                                   :last-name="person.lastName"
                                   :criteria="person.criteria"
        />
      </li>

    </ul>

  </section>

</template>

<script>

  import { mapGetters }         from 'vuex'

  import ScannerResultsListItem from 'UI/views/scanner/components/scanner-results-list-item.vue'

  export default {
    name:       'scanner-results-list',
    components: { ScannerResultsListItem },
    computed:   {
      ...mapGetters('scanner', {
        list: 'getVisibleList', // not good -> hard to debug/follow/etc
      })
    },
  }

</script>
